Get printed check

get

/api/v1/checks/{checkRef}/printed

{basePath}/checks/929aacee2c6d42c78ae877e824c28eed00000431/printed

API returns an array of strings containing text suitable for printing on a 40-column printer.

Request

Supported Media Types
Path Parameters
Header Parameters
Back to Top

Response

Supported Media Types

200 Response

An array of lines representing the printed output.
Body ()
Root Schema : PrintedCheckResponse
Type: object
Response contains printed check lines.
Show Source
Nested Schema : items
Type: array
Array of strings formatted for printing.
Show Source

400 Response

400 Bad Request

401 Response

401 Unauthorized
Headers
  • Bearer authentication challenge. When token validation fails, the header may include error and error_description parameters.

    The following conditions and HTTP response examples are illustrative and not exhaustive. Error descriptions may vary.

    No token provided: No access token is provided, or the Authorization request header is missing. The response header is WWW-Authenticate: Bearer, without error or error_description parameters.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer

    Expired token: The access token has expired. The timestamp in this example is illustrative.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The token expired at '05/19/2026 17:16:29'"

    Signing key not found: The token cannot be validated because its signing key was not found. For example, the token's key ID (kid) does not match a key in the JSON Web Key Set (JWKS) used for validation.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature key was not found"

    Invalid signature: The token signature is invalid. For example, the token may have been modified.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature is invalid"

    For the missing-token, signing-key-not-found, and invalid-signature examples above, the response body is empty. The authentication error details are provided in the WWW-Authenticate response header.

    The response may include an additional WWW-Authenticate header containing a bare Bearer challenge alongside the challenge shown in these examples.

403 Response

403 Forbidden

404 Response

404 Requested resource not found
Body ()
Root Schema : ChecksApiProblemDetailsNotFoundPrinted
Type: object
Problem details is used as standard model for reporting details when HTTP error status code is returned. This definition is defined by [RFC7807](https://tools.ietf.org/html/rfc7807). **Extensions** * posDetails
Show Source
  • A human-readable explanation specific to this occurrence of the problem.
    Example: The POS system is unable to process the request.
  • A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
    Example: error:pos-error
  • posDetails
    (Problem Details Extension) Contains a list of the problem details from the POS System processing the request.
  • A HTTP response status code.
    Example: 404
  • A short, human-readable summary of the problem type.
    Example: Check is invalid.
Example:
{
    "title":"POS Error",
    "status":404,
    "detail":"The POS system is unable to process the request.",
    "instance":"error:pos-error",
    "posDetails":[
        {
            "code":"check_not_found"
        }
    ]
}
Nested Schema : posDetails
Type: array
(Problem Details Extension) Contains a list of the problem details from the POS System processing the request.
Show Source
Nested Schema : items
Type: object
Show Source
  • Short, unique identifier for the type of error
    Example: check_not_found

521 Response

521 Service Timeout
Back to Top

Examples

Example Request Body

Not applicable for this endpoint.

Example Response Body

The following example shows the contents of the response body in JSON format:


{
  "items": [
    "12 STS                            Page 2",
    "----------------------------------------",
    "CHK 75                           TBL 2/1",
    "               11/3/2020                ",
    "----------------------------------------",
    "       DineIn                           ",
    " 1 Carrot Soup               10.00      ",
    " 1 Beetroot Roll             120.00     ",
    "   *SPECIAL REQUESTS*                   ",
    "   Please include extra sauce on side   ",
    " 1 Potato Tower              10.00      ",
    "   STS Open $ SC              1.23      ",
    " 1 Potato Tower              10.00      ",
    "   CashAuto                $151.23      ",
    "   Subtotal                $150.00      ",
    "   Other                     $1.23      ",
    "   Payment                 $151.23      ",
    "   Change Due                $0.00      ",
    "  ----------- Check Closed -----------  ",
    "           11/3/2020 5:02 PM            "
  ]
}
Back to Top